<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cokr.xit.interfaces.lvis.dao.VehicleInfoMapper">

<resultMap id="carBasicInfoRow" type="cokr.xit.interfaces.lvis.service.reg.BasicInfoResponse$BasicInfo"> <!-- 자동차 기본사항 -->
    <result property="prye"                          column="PRYE" />                          <!-- 연식 -->
    <result property="regist_de"                     column="REGIST_DE" />                     <!-- 등록일 -->
    <result property="ersr_regist_se_code"           column="ERSR_REGIST_SE_CODE" />           <!-- 말소등록구분코드 -->
    <result property="ersr_regist_se_nm"             column="ERSR_REGIST_SE_NM" />             <!-- 말소등록구분명 -->
    <result property="ersr_regist_de"                column="ERSR_REGIST_DE" />                <!-- 말송등록일 -->
    <result property="regist_detail_code"            column="REGIST_DETAIL_CODE" />            <!-- 등록상세코드 -->
    <result property="dsplvl"                        column="DSPLVL" />                        <!-- 배기량 -->
    <result property="use_strnghld_legaldong_code"   column="USE_STRNGHLD_LEGALDONG_CODE" />   <!-- 사용본거지법정동코드 -->
    <result property="use_strnghld_adstrd_code"      column="USE_STRNGHLD_ADSTRD_CODE" />      <!-- 사용본거지행정동코드 -->
    <result property="use_strnghld_mntn"             column="USE_STRNGHLD_MNTN" />             <!-- 사용본거지산 -->
    <result property="use_strnghld_lnbr"             column="USE_STRNGHLD_LNBR" />             <!-- 사용본거지번지 -->
    <result property="use_strnghld_ho"               column="USE_STRNGHLD_HO" />               <!-- 사용본거지호 -->
    <result property="use_strnghld_adres_nm"         column="USE_STRNGHLD_ADRES_NM" />         <!-- 사용본거지상세주소 -->
    <result property="use_strnghld_road_nm_code"     column="USE_STRNGHLD_ROAD_NM_CODE" />     <!-- 사용본거지도로명코드 -->
    <result property="usgsrhld_undgrnd_buld_se_code" column="USGSRHLD_UNDGRND_BULD_SE_CODE" /> <!-- 사용본거지지하건물구분코드 -->
    <result property="use_strnghld_buld_main_no"     column="USE_STRNGHLD_BULD_MAIN_NO" />     <!-- 사용본거지건물주요번호 -->
    <result property="use_strnghld_buld_sub_no"      column="USE_STRNGHLD_BULD_SUB_NO" />      <!-- 사용본거지건물부번호 -->
    <result property="mber_se_code"                  column="MBER_SE_CODE" />                  <!-- 대표소유자회원구분코드 -->
    <result property="mber_nm"                       column="MBER_NM" />                       <!-- 대표소유자성명 -->
    <result property="mber_se_no"                    column="MBER_SE_NO" />                    <!-- 대표소유자회원번호 -->
    <result property="telno"                         column="TELNO" />                         <!-- 대표소유자전화번호 -->
    <result property="owner_legaldong_code"          column="OWNER_LEGALDONG_CODE" />          <!-- 소유자법정동코드 -->
    <result property="owner_adstrd_code"             column="OWNER_ADSTRD_CODE" />             <!-- 소유자행정동코드 -->
    <result property="owner_mntn"                    column="OWNER_MNTN" />                    <!-- 소유자산 -->
    <result property="owner_lnbr"                    column="OWNER_LNBR" />                    <!-- 소유자번지 -->
    <result property="owner_ho"                      column="OWNER_HO" />                      <!-- 소유자호 -->
    <result property="owner_adres_nm"                column="OWNER_ADRES_NM" />                <!-- 소유자상세주소 -->
    <result property="owner_road_nm_code"            column="OWNER_ROAD_NM_CODE" />            <!-- 소유자도로명코드 -->
    <result property="owner_undgrnd_buld_se_code"    column="OWNER_UNDGRND_BULD_SE_CODE" />    <!-- 소유자지하건물구분코드 -->
    <result property="owner_buld_main_no"            column="OWNER_BULD_MAIN_NO" />            <!-- 소유자건물주요번호 -->
    <result property="owner_buld_sub_no"             column="OWNER_BULD_SUB_NO" />             <!-- 소유자건물부번호 -->
    <result property="owner_adres_full"              column="OWNER_ADRES_FULL" />              <!-- 소유자전체주소 -->
    <result property="aftr_vhrno"                    column="AFTR_VHRNO" />                    <!-- 신차량번호 -->
    <result property="use_fuel_code"                 column="USE_FUEL_CODE" />                 <!-- 사용연료코드 -->
    <result property="prpos_se_code"                 column="PRPOS_SE_CODE" />                 <!-- 용도구분코드 -->
    <result property="mtrs_fom_nm"                   column="MTRS_FOM_NM" />                   <!-- 원동기형식명 -->
    <result property="frnt_vhrno"                    column="FRNT_VHRNO" />                    <!-- 이전차량번호 -->
    <result property="vhrno"                         column="VHRNO" />                         <!-- 차량번호 -->
    <result property="vin"                           column="VIN" />                           <!-- 차대번호 -->
    <result property="cnm"                           column="CNM" />                           <!-- 차명 -->
    <result property="vhcle_tot_wt"                  column="VHCLE_TOT_WT" />                  <!-- 차량총중량 -->
    <result property="caag_endde"                    column="CAAG_ENDDE" />                    <!-- 차령만료일자 -->
    <result property="change_de"                     column="CHANGE_DE" />                     <!-- 차번호변경시기 -->
    <result property="vhcty_asort_code"              column="VHCTY_aSORT_CODE" />              <!-- 차종종별코드 -->
    <result property="vhcty_ty_code"                 column="VHCTY_tY_CODE" />                 <!-- 차종유형코드 -->
    <result property="vhcty_se_code"                 column="VHCTY_SE_CODE" />                 <!-- 차종분류코드 -->
    <result property="mxmm_ldg"                      column="MXMM_lDG" />                      <!-- 최대적재량 -->
    <result property="vhcty_asort_nm"                column="VHCTY_aSORT_NM" />                <!-- 차종종별명 -->
    <result property="vhcty_ty_nm"                   column="VHCTY_tY_NM" />                   <!-- 차종유형명 -->
    <result property="vhcty_se_nm"                   column="VHCTY_SE_NM" />                   <!-- 차종분류명 -->
    <result property="frst_regist_de"                column="FRST_REGIST_DE" />                <!-- 최초등록일 -->
    <result property="fom_nm"                        column="FOM_NM" />                        <!-- 형식 -->
    <result property="acqs_de"                       column="ACQS_DE" />                       <!-- 취득일자 -->
    <result property="acqs_end_de"                   column="ACQS_END_DE" />                   <!-- 취득종료일자 -->
    <result property="ybl_md"                        column="YBL_mD" />                        <!-- 제작년월일 -->
    <result property="transr_regist_de"              column="TRANSR_REGIST_DE" />              <!-- 이전등록일 -->
    <result property="spcf_regist_sttus_code"        column="SPCF_REGIST_STTUS_CODE" />        <!-- 제원등록상태코드 -->
    <result property="color_nm"                      column="COLOR_NM" />                      <!-- 색상명 -->
    <result property="mrtg_co"                       column="MRTG_CO" />                       <!-- 저당수 -->
    <result property="seizr_co"                      column="SEIZR_CO" />                      <!-- 압류건수 -->
    <result property="stmd_co"                       column="STMD_CO" />                       <!-- 구조변경수 -->
    <result property="nmpl_csdy_at"                  column="NMPL_cSDY_aT" />                  <!-- 번호판영치여부 -->
    <result property="nmpl_csdy_remnr_de"            column="NMPL_cSDY_REMNR_DE" />            <!-- 번호판영치최고일 -->
    <result property="origin_se_code"                column="ORIGIN_SE_CODE" />                <!-- 출처구분코드 -->
    <result property="nmpl_stndrd_code"              column="NMPL_STNDRD_CODE" />              <!-- 번호판규격코드 -->
    <result property="acqs_amount"                   column="ACQS_aMOUNT" />                   <!-- 취득금액 -->
    <result property="inspt_valid_pd_bgnde"          column="INSPT_vALID_pD_bGNDE" />          <!-- 검사유효기간시작일 -->
    <result property="inspt_valid_pd_endde"          column="INSPT_vALID_pD_ENDDE" />          <!-- 검사유효기간종료일 -->
    <result property="chck_valid_pd_bgnde"           column="CHCK_vALID_pD_bGNDE" />           <!-- 점검유효기간시작일 -->
    <result property="chck_valid_pd_endde"           column="CHCK_vALID_pD_ENDDE" />           <!-- 점검유효기간종료일 -->
    <result property="use_strnghld_grc_code"         column="USE_STRNGHLD_GRC_CODE" />         <!-- 사용본거지관청코드 -->
    <result property="tkcar_pscap_co"                column="TKCAR_PSCAP_CO" />                <!-- 승차정원수 -->
    <result property="spmnno"                        column="SPMNNO" />                        <!-- 제원관리번호 -->
    <result property="trvl_dstnc"                    column="TRVL_DSTNC" />                    <!-- 주행거리 -->
    <result property="frst_regist_rqrcno"            column="FRST_REGIST_RQRCNO" />            <!-- 최초등록접수번호 -->
    <result property="vlnt_ersr_prvntc_ntice_de"     column="VLNT_ERSR_PRVNTC_NTICE_DE" />     <!-- 예고통지일 -->
    <result property="regist_instt_nm"               column="REGIST_INSTT_NM" />               <!-- 등록기관명 -->
    <result property="vims_prpos_se_code"            column="VIMS_PRPOS_SE_CODE" />            <!-- 용도구분코드 -->
    <result property="vims_vhcty_asort_code"         column="VIMS_VHCTY_ASORT_CODE" />         <!-- 차종종별코드 -->
    <result property="vims_vhcty_ty_code"            column="VIMS_VHCTY_TY_CODE" />            <!-- 차종유형코드 -->
    <result property="vims_vhcty_se_code"            column="VIMS_VHCTY_SE_CODE" />            <!-- 차종분류코드 -->
    <result property="cbd_lt"                        column="CBD_LT" />                        <!-- 차체길이 -->
    <result property="cbd_bt"                        column="CBD_BT" />                        <!-- 차체너비 -->
    <result property="cbd_hg"                        column="CBD_HG" />                        <!-- 차체높이 -->
    <result property="frst_mxmm_ldg"                 column="FRST_MXMM_LDG" />                 <!-- 최초최대적재량 -->
    <result property="process_imprty_resn_code"      column="PROCESS_IMPRTY_RESN_CODE" />      <!-- 처리불가사유코드 -->
    <result property="process_imprty_resn_dtls"      column="PROCESS_IMPRTY_RESN_dTLS" />      <!-- 처리불가사유명세 -->
    <result property="createdAt"                     column="REG_DT" />                        <!-- 등록 일시 -->
    <result property="createdBy"                     column="RGTR" />                          <!-- 등록자 -->
</resultMap>

<select id="selectBasicInfo" parameterType="map" resultMap="carBasicInfoRow">/* vehicleInfoMapper.selectBasicInfo(자동차 기본사항 조회) */
SELECT PRYE                          <!-- 연식 -->
     , REGIST_DE                     <!-- 등록일 -->
     , ERSR_REGIST_SE_CODE           <!-- 말소등록구분코드 -->
     , ERSR_REGIST_SE_NM             <!-- 말소등록구분명 -->
     , ERSR_REGIST_DE                <!-- 말송등록일 -->
     , REGIST_DETAIL_CODE            <!-- 등록상세코드 -->
     , DSPLVL                        <!-- 배기량 -->
     , USE_STRNGHLD_LEGALDONG_CODE   <!-- 사용본거지법정동코드 -->
     , USE_STRNGHLD_ADSTRD_CODE      <!-- 사용본거지행정동코드 -->
     , USE_STRNGHLD_MNTN             <!-- 사용본거지산 -->
     , USE_STRNGHLD_LNBR             <!-- 사용본거지번지 -->
     , USE_STRNGHLD_HO               <!-- 사용본거지호 -->
     , USE_STRNGHLD_ADRES_NM         <!-- 사용본거지상세주소 -->
     , USE_STRNGHLD_ROAD_NM_CODE     <!-- 사용본거지도로명코드 -->
     , USGSRHLD_UNDGRND_BULD_SE_CODE <!-- 사용본거지지하건물구분코드 -->
     , USE_STRNGHLD_BULD_MAIN_NO     <!-- 사용본거지건물주요번호 -->
     , USE_STRNGHLD_BULD_SUB_NO      <!-- 사용본거지건물부번호 -->
     , MBER_SE_CODE                  <!-- 대표소유자회원구분코드 -->
     , MBER_NM                       <!-- 대표소유자성명 -->
     , MBER_SE_NO                    <!-- 대표소유자회원번호 -->
     , TELNO                         <!-- 대표소유자전화번호 -->
     , OWNER_LEGALDONG_CODE          <!-- 소유자법정동코드 -->
     , OWNER_ADSTRD_CODE             <!-- 소유자행정동코드 -->
     , OWNER_MNTN                    <!-- 소유자산 -->
     , OWNER_LNBR                    <!-- 소유자번지 -->
     , OWNER_HO                      <!-- 소유자호 -->
     , OWNER_ADRES_NM                <!-- 소유자상세주소 -->
     , OWNER_ROAD_NM_CODE            <!-- 소유자도로명코드 -->
     , OWNER_UNDGRND_BULD_SE_CODE    <!-- 소유자지하건물구분코드 -->
     , OWNER_BULD_MAIN_NO            <!-- 소유자건물주요번호 -->
     , OWNER_BULD_SUB_NO             <!-- 소유자건물부번호 -->
     , OWNER_ADRES_FULL              <!-- 소유자전체주소 -->
     , AFTR_VHRNO                    <!-- 신차량번호 -->
     , USE_FUEL_CODE                 <!-- 사용연료코드 -->
     , PRPOS_SE_CODE                 <!-- 용도구분코드 -->
     , MTRS_FOM_NM                   <!-- 원동기형식명 -->
     , FRNT_VHRNO                    <!-- 이전차량번호 -->
     , VHRNO                         <!-- 차량번호 -->
     , VIN                           <!-- 차대번호 -->
     , CNM                           <!-- 차명 -->
     , VHCLE_TOT_WT                  <!-- 차량총중량 -->
     , CAAG_ENDDE                    <!-- 차령만료일자 -->
     , CHANGE_DE                     <!-- 차번호변경시기 -->
     , VHCTY_ASORT_CODE              <!-- 차종종별코드 -->
     , VHCTY_TY_CODE                 <!-- 차종유형코드 -->
     , VHCTY_SE_CODE                 <!-- 차종분류코드 -->
     , MXMM_LDG                      <!-- 최대적재량 -->
     , VHCTY_ASORT_NM                <!-- 차종종별명 -->
     , VHCTY_TY_NM                   <!-- 차종유형명 -->
     , VHCTY_SE_NM                   <!-- 차종분류명 -->
     , FRST_REGIST_DE                <!-- 최초등록일 -->
     , FOM_NM                        <!-- 형식 -->
     , ACQS_DE                       <!-- 취득일자 -->
     , ACQS_END_DE                   <!-- 취득종료일자 -->
     , YBL_MD                        <!-- 제작년월일 -->
     , TRANSR_REGIST_DE              <!-- 이전등록일 -->
     , SPCF_REGIST_STTUS_CODE        <!-- 제원등록상태코드 -->
     , COLOR_NM                      <!-- 색상명 -->
     , MRTG_CO                       <!-- 저당수 -->
     , SEIZR_CO                      <!-- 압류건수 -->
     , STMD_CO                       <!-- 구조변경수 -->
     , NMPL_CSDY_AT                  <!-- 번호판영치여부 -->
     , NMPL_CSDY_REMNR_DE            <!-- 번호판영치최고일 -->
     , ORIGIN_SE_CODE                <!-- 출처구분코드 -->
     , NMPL_STNDRD_CODE              <!-- 번호판규격코드 -->
     , ACQS_AMOUNT                   <!-- 취득금액 -->
     , INSPT_VALID_PD_BGNDE          <!-- 검사유효기간시작일 -->
     , INSPT_VALID_PD_ENDDE          <!-- 검사유효기간종료일 -->
     , CHCK_VALID_PD_BGNDE           <!-- 점검유효기간시작일 -->
     , CHCK_VALID_PD_ENDDE           <!-- 점검유효기간종료일 -->
     , USE_STRNGHLD_GRC_CODE         <!-- 사용본거지관청코드 -->
     , TKCAR_PSCAP_CO                <!-- 승차정원수 -->
     , SPMNNO                        <!-- 제원관리번호 -->
     , TRVL_DSTNC                    <!-- 주행거리 -->
     , FRST_REGIST_RQRCNO            <!-- 최초등록접수번호 -->
     , VLNT_ERSR_PRVNTC_NTICE_DE     <!-- 예고통지일 -->
     , REGIST_INSTT_NM               <!-- 등록기관명 -->
     , VIMS_PRPOS_SE_CODE               <!-- 용도구분코드 -->
     , VIMS_VHCTY_ASORT_CODE            <!-- 차종종별코드 -->
     , VIMS_VHCTY_TY_CODE               <!-- 차종유형코드 -->
     , VIMS_VHCTY_SE_CODE               <!-- 차종분류코드 -->
     , CBD_LT                           <!-- 차체길이 -->
     , CBD_BT                           <!-- 차체너비 -->
     , CBD_HG                           <!-- 차체높이 -->
     , FRST_MXMM_LDG                    <!-- 최초최대적재량 -->
     , PROCESS_IMPRTY_RESN_CODE      <!-- 처리불가사유코드 -->
     , PROCESS_IMPRTY_RESN_DTLS      <!-- 처리불가사유명세 -->
  FROM TB_CAR_BSC_MTTR<where>
<if test='inqire_se_code == "1"'>  AND MBER_SE_NO = #{owner_mber_no}</if> <!-- 소유자 회원번호 -->
<if test='inqire_se_code == "2"'>  AND VIN = #{vin}</if> <!-- 차대번호 -->
<if test='inqire_se_code == "3"'>  AND VHRNO = #{vhrno}</if> <!-- 차량번호 -->
</where></select>

<select id="selectRoadNmAdres" parameterType="map" resultType="dataobject">/* vehicleInfoMapper.selectRoadNmAdres(도로명 주소 조회) */
SELECT  CONCAT(CTPV_NM, ' ', SGG_NM, ' ', ROAD_NM, ' ', BMNO, '-', BSNO) ROAD_NM_ADRES, ZIP
FROM TB_ROAD_ADDR
WHERE ROAD_NM_CD = #{roadNmCd}
 AND BMNO = #{bmno}
 AND BSNO = #{bsno}</select>

<insert id="insertBasicInfo" parameterType="map">/* vehicleInfoMapper.insertBasicInfo(자동차 기본사항 조회 로그 등록) */
<selectKey keyProperty="info.bsc_mttr_id" resultType="string" order="BEFORE">
SELECT CONCAT(
      <include refid="utility.today" />
     , LPAD(IFNULL(SUBSTRING(MAX(BSC_MTTR_ID), 9) + 1, 1), 22, '0')
       ) NEW_ID
  FROM TB_CAR_BSC_MTTR TCBM 
 WHERE BSC_MTTR_ID LIKE CONCAT(<include refid="utility.today" />, '%')</selectKey>
INSERT INTO TB_CAR_BSC_MTTR (
       BSC_MTTR_ID                      <!-- 기본 사항 ID -->
     , MESSAGEID                        <!-- 결과 메시지 ID -->
     , MESSAGENAME                      <!-- 결과 메시지 명 -->
     , MESSAGEREASON                    <!-- 결과 메시지 사유 -->
     , MESSAGEREMARK                    <!-- 결과 메시지 비고 -->
     , EXCEPTIONSTACKTRACE              <!-- 오류 메시지 STACK -->
     
     , DMND_LEVY_STDDE                  <!-- 요청 부과기준일 -->
     , DMND_INQIRE_SE_CODE              <!-- 요청 조회구분코드 -->
     , DMND_VHRNO                       <!-- 요청 자동차등록번호 -->
     , DMND_VIN	                        <!-- 요청 차대번호 -->
     
     , PRYE                             <!-- 연식 -->
     , REGIST_DE                        <!-- 등록일(변경일) -->
     , ERSR_REGIST_SE_CODE              <!-- 말소등록구분코드 -->
     , ERSR_REGIST_SE_NM                <!-- 말소등록구분명 -->
     , ERSR_REGIST_DE                   <!-- 말소등록일 -->
     , REGIST_DETAIL_CODE               <!-- 등록상세코드 -->
     , DSPLVL                           <!-- 배기량 -->
     , USE_STRNGHLD_LEGALDONG_CODE      <!-- 사용본거지법정동코드 -->
     , USE_STRNGHLD_ADSTRD_CODE         <!-- 사용본거지행정동코드 -->
     , USE_STRNGHLD_MNTN                <!-- 사용본거지산 -->
     , USE_STRNGHLD_LNBR                <!-- 사용본거지번지 -->
     , USE_STRNGHLD_HO                  <!-- 사용본거지호 -->
     , USE_STRNGHLD_ADRES_NM            <!-- 사용본거지상세주소 -->
     , USE_STRNGHLD_ROAD_NM_CODE        <!-- 사용본거지도로명코드 -->
     , USGSRHLD_UNDGRND_BULD_SE_CODE    <!-- 사용본거지지하건물구분코드 -->
     , USE_STRNGHLD_BULD_MAIN_NO        <!-- 사용본거지건물주요번호 -->
     , USE_STRNGHLD_BULD_SUB_NO         <!-- 사용본거지건물부번호 -->
     , MBER_SE_CODE                     <!-- 대표소유자회원구분코드 -->
     , MBER_NM                          <!-- 대표소유자성명 -->
     , MBER_SE_NO                       <!-- 대표소유자회원번호 -->
     , TELNO                            <!-- 대표소유자전화번호 -->
     , OWNER_LEGALDONG_CODE             <!-- 소유자법정동코드 -->
     , OWNER_ADSTRD_CODE                <!-- 소유자행정동코드 -->
     , OWNER_MNTN                       <!-- 소유자산 -->
     , OWNER_LNBR                       <!-- 소유자번지 -->
     , OWNER_HO                         <!-- 소유자호 -->
     , OWNER_ADRES_NM                   <!-- 소유자상세주소 -->
     , OWNER_ROAD_NM_CODE               <!-- 소유자도로명코드 -->
     , OWNER_UNDGRND_BULD_SE_CODE       <!-- 소유자지하건물구분코드 -->
     , OWNER_BULD_MAIN_NO               <!-- 소유자건물주요번호 -->
     , OWNER_BULD_SUB_NO                <!-- 소유자건물부번호 -->
     , OWNER_ADRES_FULL                 <!-- 소유자전체주소 -->
     , AFTR_VHRNO                       <!-- 신차량번호 -->
     , USE_FUEL_CODE                    <!-- 사용연료코드 -->
     , PRPOS_SE_CODE                    <!-- 용도구분코드 -->
     , MTRS_FOM_NM                      <!-- 원동기형식명 -->
     , FRNT_VHRNO                       <!-- 이전차량번호 -->
     , VHRNO                            <!-- 차량번호 -->
     , VIN                              <!-- 차대번호 -->
     , CNM                              <!-- 차명 -->
     , VHCLE_TOT_WT                     <!-- 차량총중량 -->
     , CAAG_ENDDE                       <!-- 차령만료일자 -->
     , CHANGE_DE                        <!-- 차번호변경시기 -->
     , VHCTY_ASORT_CODE                 <!-- 차종종별코드 -->
     , VHCTY_TY_CODE                    <!-- 차종유형코드 -->
     , VHCTY_SE_CODE                    <!-- 차종분류코드 -->
     , MXMM_LDG                         <!-- 최대적재량 -->
     , VHCTY_ASORT_NM                   <!-- 차종종별명 -->
     , VHCTY_TY_NM                      <!-- 차종유형명 -->
     , VHCTY_SE_NM                      <!-- 차종분류명 -->
     , FRST_REGIST_DE                   <!-- 최초등록일 -->
     , FOM_NM                           <!-- 형식 -->
     , ACQS_DE                          <!-- 취득일자 -->
     , ACQS_END_DE                      <!-- 취득종료일자 -->
     , YBL_MD                           <!-- 제작년월일 -->
     , TRANSR_REGIST_DE                 <!-- 이전등록일(양수일) -->
     , SPCF_REGIST_STTUS_CODE           <!-- 제원등록상태코드 -->
     , COLOR_NM                         <!-- 색상명 -->
     , MRTG_CO                          <!-- 저당수 -->
     , SEIZR_CO                         <!-- 압류건수 -->
     , STMD_CO                          <!-- 구조변경수 -->
     , NMPL_CSDY_AT                     <!-- 번호판영치여부 -->
     , NMPL_CSDY_REMNR_DE               <!-- 번호판영치최고일 -->
     , ORIGIN_SE_CODE                   <!-- 출처구분코드 -->
     , NMPL_STNDRD_CODE                 <!-- 번호판규격코드 -->
     , ACQS_AMOUNT                      <!-- 취득금액 -->
     , INSPT_VALID_PD_BGNDE             <!-- 검사유효기간시작일 -->
     , INSPT_VALID_PD_ENDDE             <!-- 검사유효기간종료일 -->
     , CHCK_VALID_PD_BGNDE              <!-- 점검유효기간시작일 -->
     , CHCK_VALID_PD_ENDDE              <!-- 점검유효기간종료일 -->
     , USE_STRNGHLD_GRC_CODE            <!-- 사용본거지관청코드 -->
     , TKCAR_PSCAP_CO                   <!-- 승차정원수 -->
     , SPMNNO                           <!-- 제원관리번호 -->
     , TRVL_DSTNC                       <!-- 주행거리 -->
     , FRST_REGIST_RQRCNO               <!-- 최초등록접수번호 -->
     , VLNT_ERSR_PRVNTC_NTICE_DE        <!-- 예고통지일 -->
     , REGIST_INSTT_NM                  <!-- 등록기관명 -->
     , VIMS_PRPOS_SE_CODE               <!-- 용도구분코드 -->
     , VIMS_VHCTY_ASORT_CODE            <!-- 차종종별코드 -->
     , VIMS_VHCTY_TY_CODE               <!-- 차종유형코드 -->
     , VIMS_VHCTY_SE_CODE               <!-- 차종분류코드 -->
     , CBD_LT                           <!-- 차체길이 -->
     , CBD_BT                           <!-- 차체너비 -->
     , CBD_HG                           <!-- 차체높이 -->
     , FRST_MXMM_LDG                    <!-- 최초최대적재량 -->
     , PROCESS_IMPRTY_RESN_CODE         <!-- 처리불가사유코드 -->
     , PROCESS_IMPRTY_RESN_DTLS         <!-- 처리불가사유명세 -->
     
     , REG_DT                           <!-- 등록일자 -->
     , RGTR                             <!-- 등록자 -->
) VALUES (
       #{info.bsc_mttr_id}                   <!-- 기본 사항 id -->
     , #{msg.messageId}                      <!-- 결과 메시지 id -->
     , #{msg.messageName}                    <!-- 결과 메시지 명 -->
     , #{msg.messageReason}                  <!-- 결과 메시지 사유 -->
     , #{msg.messageRemark}                  <!-- 결과 메시지 비고 -->
     , #{msg.exceptionStackTrace}            <!-- 오류 메시지 stack -->
     
     , #{req.levy_stdde}                     <!-- 요청 부과기준일 -->
     , #{req.inqire_se_code}                 <!-- 요청 조회구분코드 -->
     , #{req.vhrno}                          <!-- 요청 자동차등록번호 -->
     , #{req.vin}	                         <!-- 요청 차대번호 -->
     
     , #{info.prye}                          <!-- 연식 -->
     , #{info.regist_de}                     <!-- 등록일(변경일) -->
     , #{info.ersr_regist_se_code}           <!-- 말소등록구분코드 -->
     , #{info.ersr_regist_se_nm}             <!-- 말소등록구분명 -->
     , #{info.ersr_regist_de}                <!-- 말소등록일 -->
     , #{info.regist_detail_code}            <!-- 등록상세코드 -->
     , #{info.dsplvl}                        <!-- 배기량 -->
     , #{info.use_strnghld_legaldong_code}   <!-- 사용본거지법정동코드 -->
     , #{info.use_strnghld_adstrd_code}      <!-- 사용본거지행정동코드 -->
     , #{info.use_strnghld_mntn}             <!-- 사용본거지산 -->
     , #{info.use_strnghld_lnbr}             <!-- 사용본거지번지 -->
     , #{info.use_strnghld_ho}               <!-- 사용본거지호 -->
     , #{info.use_strnghld_adres_nm}         <!-- 사용본거지상세주소 -->
     , #{info.use_strnghld_road_nm_code}     <!-- 사용본거지도로명코드 -->
     , #{info.usgsrhld_undgrnd_buld_se_code} <!-- 사용본거지지하건물구분코드 -->
     , #{info.use_strnghld_buld_main_no}     <!-- 사용본거지건물주요번호 -->
     , #{info.use_strnghld_buld_sub_no}      <!-- 사용본거지건물부번호 -->
     , #{info.mber_se_code}                  <!-- 대표소유자회원구분코드 -->
     , #{info.mber_nm}                       <!-- 대표소유자성명 -->
     , #{info.mber_se_no}                    <!-- 대표소유자회원번호 -->
     , #{info.telno}                         <!-- 대표소유자전화번호 -->
     , #{info.owner_legaldong_code}          <!-- 소유자법정동코드 -->
     , #{info.owner_adstrd_code}             <!-- 소유자행정동코드 -->
     , #{info.owner_mntn}                    <!-- 소유자산 -->
     , #{info.owner_lnbr}                    <!-- 소유자번지 -->
     , #{info.owner_ho}                      <!-- 소유자호 -->
     , #{info.owner_adres_nm}                <!-- 소유자상세주소 -->
     , #{info.owner_road_nm_code}            <!-- 소유자도로명코드 -->
     , #{info.owner_undgrnd_buld_se_code}    <!-- 소유자지하건물구분코드 -->
     , #{info.owner_buld_main_no}            <!-- 소유자건물주요번호 -->
     , #{info.owner_buld_sub_no}             <!-- 소유자건물부번호 -->
     , #{info.owner_adres_full}              <!-- 소유자전체주소 -->
     , #{info.aftr_vhrno}                    <!-- 신차량번호 -->
     , #{info.use_fuel_code}                 <!-- 사용연료코드 -->
     , #{info.prpos_se_code}                 <!-- 용도구분코드 -->
     , #{info.mtrs_fom_nm}                   <!-- 원동기형식명 -->
     , #{info.frnt_vhrno}                    <!-- 이전차량번호 -->
     , #{info.vhrno}                         <!-- 차량번호 -->
     , #{info.vin}                           <!-- 차대번호 -->
     , #{info.cnm}                           <!-- 차명 -->
     , #{info.vhcle_tot_wt}                  <!-- 차량총중량 -->
     , #{info.caag_endde}                    <!-- 차령만료일자 -->
     , #{info.change_de}                     <!-- 차번호변경시기 -->
     , #{info.vhcty_asort_code}              <!-- 차종종별코드 -->
     , #{info.vhcty_ty_code}                 <!-- 차종유형코드 -->
     , #{info.vhcty_se_code}                 <!-- 차종분류코드 -->
     , #{info.mxmm_ldg}                      <!-- 최대적재량 -->
     , #{info.vhcty_asort_nm}                <!-- 차종종별명 -->
     , #{info.vhcty_ty_nm}                   <!-- 차종유형명 -->
     , #{info.vhcty_se_nm}                   <!-- 차종분류명 -->
     , #{info.frst_regist_de}                <!-- 최초등록일 -->
     , #{info.fom_nm}                        <!-- 형식 -->
     , #{info.acqs_de}                       <!-- 취득일자 -->
     , #{info.acqs_end_de}                   <!-- 취득종료일자 -->
     , #{info.ybl_md}                        <!-- 제작년월일 -->
     , #{info.transr_regist_de}              <!-- 이전등록일(양수일) -->
     , #{info.spcf_regist_sttus_code}        <!-- 제원등록상태코드 -->
     , #{info.color_nm}                      <!-- 색상명 -->
     , #{info.mrtg_co}                       <!-- 저당수 -->
     , #{info.seizr_co}                      <!-- 압류건수 -->
     , #{info.stmd_co}                       <!-- 구조변경수 -->
     , #{info.nmpl_csdy_at}                  <!-- 번호판영치여부 -->
     , #{info.nmpl_csdy_remnr_de}            <!-- 번호판영치최고일 -->
     , #{info.origin_se_code}                <!-- 출처구분코드 -->
     , #{info.nmpl_stndrd_code}              <!-- 번호판규격코드 -->
     , #{info.acqs_amount}                   <!-- 취득금액 -->
     , #{info.inspt_valid_pd_bgnde}          <!-- 검사유효기간시작일 -->
     , #{info.inspt_valid_pd_endde}          <!-- 검사유효기간종료일 -->
     , #{info.chck_valid_pd_bgnde}           <!-- 점검유효기간시작일 -->
     , #{info.chck_valid_pd_endde}           <!-- 점검유효기간종료일 -->
     , #{info.use_strnghld_grc_code}         <!-- 사용본거지관청코드 -->
     , #{info.tkcar_pscap_co}                <!-- 승차정원수 -->
     , #{info.spmnno}                        <!-- 제원관리번호 -->
     , #{info.trvl_dstnc}                    <!-- 주행거리 -->
     , #{info.frst_regist_rqrcno}            <!-- 최초등록접수번호 -->
     , #{info.vlnt_ersr_prvntc_ntice_de}     <!-- 예고통지일 -->
     , #{info.regist_instt_nm}               <!-- 등록기관명 -->
     , #{info.vims_prpos_se_code}            <!-- 용도구분코드 -->
     , #{info.vims_vhcty_asort_code}         <!-- 차종종별코드 -->
     , #{info.vims_vhcty_ty_code}            <!-- 차종유형코드 -->
     , #{info.vims_vhcty_se_code}            <!-- 차종분류코드 -->
     , #{info.cbd_lt}                        <!-- 차체길이 -->
     , #{info.cbd_bt}                        <!-- 차체너비 -->
     , #{info.cbd_hg}                        <!-- 차체높이 -->
     , #{info.frst_mxmm_ldg}                 <!-- 최초최대적재량 -->
     , #{info.process_imprty_resn_code}      <!-- 처리불가사유코드 -->
     , #{info.process_imprty_resn_dtls}      <!-- 처리불가사유명세 -->
     
     ,<include refid="utility.now" />        <!-- 등록일자 -->
     , #{currentUser.id}                     <!-- 등록자 -->
)</insert>

</mapper>